Mac中Pod安装

原创 2018年04月16日 10:33:15
Pod安装 pod安装需要ruby ,ruby安装需要安装rvm
———————————————————————————————————————————————————————————
rvm安装
RVM 是干什么的这里就不解释了,后面你将会慢慢搞明白。
    $ curl -L https://get.rvm.io | bash -s stable
期间可能会问你sudo管理员密码,以及自动通过homebrew安装依赖包,等待一段时间后就可以成功安装好 RVM。
然后,载入 RVM 环境(新开 Termal 就不用这么做了,会自动重新载入的)


    $ source ~/.rvm/scripts/rvm
检查一下是否安装正确


    $ rvm -v
    rvm 1.22.17 (stable) by Wayne E. Seguin <wayneeseguin@gmail.com>, Michal Papis <mpapis@gmail.com> [https://rvm.io/]
——————————————————————————————————————————————————————————————
ruby安装
列出已知的ruby版本
   $ rvm list known
可以选择现有的rvm版本来进行安装(下面以rvm 2.0.0版本的安装为例)
    $ rvm install 2.0.0
同样继续等待漫长的下载,编译过程,完成以后,Ruby, Ruby Gems 就安装好了。
另附:
查询已经安装的ruby
  $ rvm list
卸载一个已安装版本 
      $ rvm remove 1.9.2
——————————————————————————————————————————————————————————————
pod安装


sudo gem install cocoapods


——————————————————————————————————————————————————————————————


Pod 使用


1.cd 到响应项目中
2.如果没有Podfile文件就创建Podfile文件     $ touch Podfile 
3.如果有Podfile文件就编辑    $ vim Podfile
4.英文状态下点击i开始编辑 
5.然后输入命令


platform :ios, '10.0'
use_frameworks!


target 'ZFTQPOS3.0' do
pod 'Masonry'
end


6.点击esc 退出编译 
7.点击shift+冒号 然后输入wq回车
8.开始运行设置 $ pod install


Masonry报错


若果项目报错 Exception:-[UIButton mas_makeConstraints:]: unrecognized selector sent to instance 0x7feef061f520


就设置Build Settings ->Linking ->Other Librarian Flags 添加 $(inherited)


Pod更新到最新版本
pod setup

Mac快速入门

mac版常用软件的使用
  • 2018年01月31日 19:42

mac 安装pod步骤记录

安装pod首先安装ruby,不过mac电脑已经安装好了ruby 命令:ruby –version 查看版本 安装brew 命令:ruby -e “$(curl -fsSL https://ra...
  • u012091216
  • u012091216
  • 2016-11-11 15:12:11
  • 2490

MAC 下 CocoaPods 安装与使用来管理项目第三方框架

一、CocoaPods 安装 前言:思考如何引入一个第三方框架。 例如: 百度地图SDK、友盟、ShareSDK、 信鸽推送等。从github或某处下载第三方SDK工程中导入所需要的SDK的文件 .a...
  • u010372095
  • u010372095
  • 2017-08-18 14:38:44
  • 1391

2017/10/1更新之MAC安装CocoaPods流程详解

2017/10/1最新版MAC安装CocoaPods流程详解
  • hbw1992322
  • hbw1992322
  • 2017-03-01 15:08:28
  • 4162

关于Mac最新系统cocopods的安装和使用

关于OS X EI Caption系统下的cocopods安装
  • chen_jiushiguang
  • chen_jiushiguang
  • 2016-07-20 23:31:51
  • 2147

mac 10.11以后安装CocoaPods教程

一、在进行CococaPods安装的时候,遇到错误,错误提示大致意思是ruby版本太低,需要升级至2.2.2以上.果然,在终端使用ruby -v查看版本为2.0. 1、使用RVM也就是Rub...
  • lanshiliulb
  • lanshiliulb
  • 2016-10-20 15:15:34
  • 1179

Mac中Pod安装

Pod安装 pod安装需要ruby ,ruby安装需要安装rvm———————————————————————————————————————————————————————————rvm安装RVM ...
  • ly410726
  • ly410726
  • 2018-04-16 10:33:15
  • 7

Mac 安装CocoaPods

1. 安装 1). 安装CocoaPods sudo gem install cocoapods 2). 查看源 gem sources -l 3). 删除源 sudo gem sources -...
  • mazaiting
  • mazaiting
  • 2018-03-27 10:53:04
  • 54

Mac CocoaPods的安装教程

// // CocoaPods的安装教程.m // CocoaPods的安装教程 // // Created by LuoShimei on 16/3/21. // Copyright © 2...
  • Luo_Shimei
  • Luo_Shimei
  • 2016-07-01 11:29:28
  • 125

MAC上安装cocoapods方法及使用简介

MAC上安装cocoapods方法及使用简介
  • ppdyhappy
  • ppdyhappy
  • 2015-10-26 16:35:57
  • 2659
收藏助手
不良信息举报
您举报文章:Mac中Pod安装
举报原因:
原因补充:

(最多只允许输入30个字)